org.jfree.util

## Class BooleanUtilities

- java.lang.Object
- - org.jfree.util.BooleanUtilities

    public class BooleanUtilities
    extends java.lang.Object

Utility methods for working with `Boolean` objects.

Author:
  David Gilbert

### Method Summary

Methods
`static java.lang.Boolean` `valueOf(boolean b)` Returns the object equivalent of the boolean primitive.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### valueOf

    public static java.lang.Boolean valueOf(boolean b)

Returns the object equivalent of the boolean primitive.

A similar method is provided by the Boolean class in JDK 1.4, but you can use this one to remain compatible with earlier JDKs.

Parameters:
  `b` - the boolean value.
Returns:
  `Boolean.TRUE` or `Boolean.FALSE`.